Bug 143919 - Make diagonal borders accessible in Toolbar>Borders
Summary: Make diagonal borders accessible in Toolbar>Borders
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
7.3.0.0 alpha0+ Master
Hardware: All All
: medium normal
Assignee: Bayram Çiçek
URL:
Whiteboard: target:7.3.0
Keywords:
Depends on:
Blocks:
 
Reported: 2021-08-17 13:27 UTC by Bayram Çiçek
Modified: 2021-08-29 03:12 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Bayram Çiçek 2021-08-17 13:27:57 UTC
Description:
Calc has diagonal borders feature in "Format > Cells... > Borders" tab and (Sidebar Tab) "Properties > Cell Appearance". However, this feature isn’t exist in “Table Toolbar > Borders” tab.

It will be very useful if we can access the diagonal borders from “Table Toolbar > Borders”.

Steps to Reproduce:
1. open Calc
2. go to “Table Toolbar > Borders”

Actual Results:
“Table Toolbar > Borders” has no diagonal borders to click on them.

Expected Results:
diagonal borders should be accessible in “Table Toolbar > Borders”.


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 7.3.0.0.alpha0+ / LibreOffice Community
Build ID: 31d186811a9f47d7674ca28b08601bc5b0d02d0f
CPU threads: 4; OS: Linux 5.10; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded
Comment 1 Bayram Çiçek 2021-08-17 13:28:59 UTC
I want to work on it, assigning to myself.
Comment 2 Commit Notification 2021-08-23 11:21:12 UTC
Bayram Çiçek committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/3a9167e1b8a236da2862f4377e2040a8c189c99c

tdf#143919: Calc: add diagonal borders in Toolbar>Borders

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 BogdanB 2021-08-24 04:51:18 UTC
Cicek, please mark this bug as resolved.

I will mark this as verified after that, everything is good in 7.3+.

Version: 7.3.0.0.alpha0+ / LibreOffice Community
Build ID: fbe183bbb05220a4ccc51952445b1797bb498403
CPU threads: 4; OS: Linux 5.11; UI render: default; VCL: gtk3
Locale: ro-RO (ro_RO.UTF-8); UI: en-US
Calc: threaded
Comment 4 BogdanB 2021-08-24 05:06:19 UTC
Thanks for your work. Well done.

Verified with
Version: 7.3.0.0.alpha0+ / LibreOffice Community
Build ID: fbe183bbb05220a4ccc51952445b1797bb498403
CPU threads: 4; OS: Linux 5.11; UI render: default; VCL: gtk3
Locale: ro-RO (ro_RO.UTF-8); UI: en-US
Calc: threaded
Comment 5 Commit Notification 2021-08-29 03:12:39 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/17ea551989005433bab1a9351ecd6fb6c283caea

tdf#143919 Revise Criss-cross diagonal border

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.